import { searchForConfigFile } from '../utils/paths';
import { CommandError } from '../utils/error';

export enum UseBasePathReturnCode {
	COULD_NOT_FIND_CONFIG_FILE = -2,
}

export const useBasePath = async () => {
	const basePathPrefix = await searchForConfigFile();

	if (typeof basePathPrefix !== 'string') {
		throw new CommandError(
			UseBasePathReturnCode.COULD_NOT_FIND_CONFIG_FILE,
			'Could not find config file',
		);
	}

	return basePathPrefix;
};
